/*!
 * Copyright (c) 2021, 2023 Eclipse Foundation, Inc.
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 * 
 * Contributors:
 *   Christopher Guindon <chris.guindon@eclipse-foundation.org>
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 * 
 * SPDX-License-Identifier: EPL-2.0
*/

@import '~eclipsefdn-solstice-assets/less/quicksilver/styles.less';
@import '_variables.less';

@import 'base/_typography.less';

@import 'components/_buttons.less';
@import 'components/_cards.less';
@import 'components/_carousel.less';
@import 'components/_contact-form.less';
@import 'components/_diagrams.less';
@import 'components/_dropdowns.less';
@import 'components/_eclipsefdn-projects.less';
@import 'components/_eclipsefdn-registration.less';
@import 'components/_featured-events.less';
@import 'components/_jumbotron.less';
@import 'components/_news-list.less';

@import 'layout/_header.less';

@import 'pages/_home.less';
@import 'pages/_sdv-contribution-days-2022.less';
@import 'pages/_sdv-community-day-lisbon-2023.less';

@import 'base/_utility-classes.less';

.grey-row {
  background-color: #f9f9f9;
}

//== Buttons
.btn {
  font-size: @btn-font-size;
  min-width: 200px;

  &:visited,
  &:focus {
    color: @white;
  }
}

.featured-jumbotron .btn-lg {
  font-size: @btn-lg-font-size;
}

.btn-light,
.btn-light:visited {
  color: @brand-primary;
  background-color: @white;
}

.btn-light:hover,
.btn-light:focus,
.btn-light:active {
  color: @brand-primary;
  background-color: darken(@white, 10%);
}

.eclipsefdn-featured-footer .btn {
  color: @brand-secondary;

  &:visited,
  &:focus {
    color: @brand-secondary;
  }
}


.featured-side a {
  float: none;
}

.nav-container {
  z-index: 9;
  position: relative;
}


//== Menu
.dropdown-menu {
  padding: 15px 18px 8px;
  font-size: 13px;
  min-width: 140px;
  z-index: 10;

  li a {
    cursor: pointer;
  }
}

@media (max-width: @screen-lg) {
  #main-menu li.dropdown .dropdown-menu {
    right: 0;
  }
}

#main-menu a {
  font-weight: 500;
}

@media (min-width: @screen-sm-min) {
  #main-menu {
    float: right;

    li {
      >a {
        &:hover {
          text-decoration: none;
        }
      }

      .dropdown-menu {
        .gsc-input-box {
          border: 1px solid #ccc !important;
          width: 100%;
        }

        &:before {
          border: none;
          background-color: #f7941e;
          display: inherit;
          height: 0;
          width: 0;
        }
      }

      >.dropdown-menu {
        .yamm-content {
          padding: 0;

          li {
            padding-bottom: 5px;
          }
        }

        >li {
          margin-right: 0px;
          margin-left: 0px;
        }
      }

      &.dropdown.eclipse-more {
        .dropdown-menu {
          padding-top: 10px;
          outline: none;
        }
      }
    }
  }
}

.yamm .yamm-content {
  padding-top: 0;
}

.dropdown.open {
  @media (max-width: @screen-md-max) {
    a {
      color: @mobile-menu-color;
    }

    .yamm-content {
      li {
        margin-bottom: 10px;
      }
    }
  }

}

.logo-eclipse-default {
  padding: 2rem 0;
}

.logo-eclipse-default-mobile {
  margin-top: 7px;
}

.navbar-nav>li>.dropdown-menu {
  margin-top: 1px;
}

.navbar-collapse {
  border-top: none;
}

table.gsc-search-box td.gsc-input {
  padding-right: 0 !important;
}

.gsc-search-button-v2 {
  padding: 9px 27px !important;
}

//== Header

.header-outer-container {
  position: relative;
}

#header-wrapper {
  background-position: top;
}

#header-left {
  @media (max-width: @screen-md-max) {
    min-height: 0;
  }
}

.header-wrapper-subpages {
  background-image: none;

  .nav-container {
    background-color: @brand-secondary;
    padding: 10px 0;
  }
}

.header-wrapper-subpages.header-overlay {
  .nav-container {
    background-color: transparent;
    position: absolute;
    width: 100%;
  }
}

// Alternate header, used for /members, /projects, and /about
.header-alt {
  .jumbotron-custom {
    min-height: 28rem;
    background-image: url(images/header-bg-alternate.jpg);
    background-position: center;
    height: auto;

    h1 {
      text-transform: uppercase;
      font-weight: 500;
      font-family: 'Audiowide', sans-serif;
      font-size: 58px;
      margin-top: 8rem;

      @media (max-width: 992px) {
        font-size: 48px;
      }
    }

    .custom-jumbotron-header {
      .text-center();
    }
  }
}

//== Generic featured section

.featured-section {
  text-align: center;
  padding: 40px 0 60px;

  h2 {
    color: @brand-secondary;
    margin-bottom: 40px;
  }
}

//== Overrides

.solstice-slider {
  padding: 30px 0;
}

.owl-stage {
  display: flex;
}

.owl-carousel .owl-stage {
  margin: 0 auto;
}

//== Featured Story

.featured-story {
  @media (max-width: @screen-sm-max) {
    background-color: @brand-primary;
    background: linear-gradient(45deg, @brand-primary 52%, @brand-secondary 100%);
    background: -moz-linear-gradient(45deg, @brand-primary 52%, @brand-secondary 100%);
    background: -webkit-linear-gradient(45deg, @brand-primary 52%, @brand-secondary 100%);
  }

  @media (min-width: @screen-md-min) {
    position: absolute;
    top: 0;
    right: 0;
    background: transparent;
    padding: 100px 80px 0 200px;
    height: 100%;

    &:before {
      content: "";
      display: block;
      background-color: @brand-primary;
      background: linear-gradient(0deg, @brand-primary 30%, @brand-secondary 95%);
      background: -moz-linear-gradient(0deg, @brand-primary 30%, @brand-secondary 95%);
      background: -webkit-linear-gradient(0deg, @brand-primary 30%, @brand-secondary 95%);
      opacity: 0.6;
      z-index: 1;

      @media (min-width: @screen-md-min) {
        position: absolute;
        right: 0;
        top: 0;
        width: 450px;
        height: 800px;
        padding: 120px 100px 0;
        border-radius: 375px 0 0 523px;
      }
    }
  }


  .container {
    @media (min-width: @screen-md-min) {
      width: 264px;
      z-index: 2;
      position: relative;
    }
  }

  .jumbotron-custom-social-icons-right {
    .fa-stack {
      width: 2rem;
      height: 2rem;
      line-height: 2rem;
    }

    .fa-stack-1x {
      font-size: 1rem;
    }

    .fa-stack-2x {
      font-size: 2rem;
    }

    @media (min-width: @screen-md-min) {
      position: inherit;
      bottom: 0;
      right: 80px;
      z-index: 9;
    }
  }

  .featured-story-block-content {
    &:before {
      background-color: transparent;
    }

    p {
      font-size: 16px;
      font-weight: 400;
    }
  }

  h2 {
    font-size: 24px;
    font-weight: 700;
    margin-bottom: 20px;
  }

  .featured-story-block-container {
    text-align: center;

    @media (min-width: @screen-md-min) {
      width: 260px;
      text-align: left;
    }

    @media (max-width: @screen-sm-max) {
      margin-bottom: 30px;
    }
  }

  .jumbotron-custom-social-icons-right {
    @media (max-width: @screen-sm-max) {
      display: none;
    }
  }

}

.featured-story-block {
  padding: 0;
  min-height: inherit;

  h2,
  p {
    color: @white;
  }

  .btn-primary {
    background-color: @white;
    border-color: @white;
    color: @brand-secondary;

    &:focus,
    &:active {
      background-color: @white;
      border-color: @white;
      color: @brand-secondary;
    }
  }

  ul {
    li {
      padding-bottom: 10px;
    }

    :nth-child(2) {
      a {
        background-color: @brand-primary;
        border-color: @brand-primary;
        color: @white;
      }
    }
  }
}

//== Featured Sponsors

.featured-sponsors {
  padding-top: 0;
}

//== Featured Members

.featured-members {
  margin-top: 40px;
}

.featured-members-item {
  margin: 0 20px;

  img {
    display: inherit;
    margin: 0 auto;
    max-width: 120px;
    max-height: 75px;
  }
}

//== Featured news and events

.featured-news-events {
  position: relative;
  overflow: hidden;
}

.featured-news-block {
  @media (min-width: @screen-sm-min) {
    padding-right: 2px;
  }

  @media (max-width: @screen-sm-max) {
    padding: 0;
  }
}

.featured-events-block {
  @media (min-width: @screen-sm-min) {
    padding-left: 2px;
  }

  @media (max-width: @screen-sm-max) {
    padding: 0;
  }
}

.news-list-links-view-all {
  margin-top: 20px;
}

.news-item,
.timeline-item {
  margin-bottom: 30px;
}

//== Featured About

.featured-about {
  padding: 0px 0 60px;
}

.featured-about-text {
  margin-top: 40px;

  p {
    margin-bottom: 20px;
  }
}

//== Featured Highlights

.featured-highlights {
  background-color: #efeded;
}

.featured-highlights-text {
  display: block;
  border-right: 1px solid #ccc;
  font-weight: 700;
  color: @brand-secondary;

  &:last-child {
    border: none;
  }

  @media (max-width: @screen-sm-max) {
    font-size: 12px;
  }
}

//== Featured Stats

.featured-stats-number {
  font-size: 42px;
  font-weight: 700;

  @media (max-width: @screen-sm-max) {
    font-size: 28px;
  }
}

//== Featured Footer

.featured-footer.featured-story-light,
.featured-footer.featured-story-dark {
  font-weight: 500;
}

.featured-footer.featured-story-light {
  background-image: none;
  background-color: @brand-primary;
  border: none;

  h2 {
    color: @white;
  }

  p {
    color: @brand-secondary;
  }

  .btn-primary {
    background-color: @white;
    border-color: @white;
  }
}

.featured-footer.featured-story-dark {
  border: none;
  border-bottom: 1px solid lighten(@brand-secondary, 10%);
  background-color: @brand-secondary;
}

//== Footer

footer#solstice-footer {
  color: @white;
  padding-top: 30px;

  a:link,
  a:active,
  a:visited,
  a:focus {
    background-color: transparent;
  }

  @media (max-width: @screen-sm-max) {
    .container {
      margin-top: 15px;
    }
  }
}

.footer-ef-logo {
  width: 150px;
  margin-bottom: 30px;
}

//== News page
.sdv-news {
  h1 {
    margin: 40px 0;
  }

  .block-summary-item {
    background-color: #f9f9f9;
    transition: all 0.25s ease-out;

    &:hover {
      background-color: #ffd0ed;
      transition: all 0.25s ease-out;
    }
  }
}

.grey-row {
  background-color: #f9f9f9;
}

// Onsite
.onsite-2022 h1 {
  margin: 40px 0 30px;
}

.venue-photos img {
  width: 100%;
  max-width: 560px;
  border-radius: 5px;
}

.venue-photo {
  border-radius: 5px;
  width: 100%;
}

.featured-info-img {
  width: 100vw;
  object-fit: cover;
  object-position: 0% 25%;

  @media (min-width: @screen-md-min) {
    box-shadow: 1px 1px 16px rgba(0, 0, 0, 0.08);
    max-width: 90rem;
    min-width: 90rem;
    border-radius: 10px;
    align-self: top;
    flex: 1 1 100%;
  }
}

.banner-heading-img {
  width: 100%;
  max-height: 30rem;
  object-fit: cover;
  object-position: 30% 10%;
}

@media (min-width: @screen-md-min) {
  .banner-heading {
    display: flex;
    position: relative;
    background: linear-gradient(90deg, rgba(58, 2, 49, 1) 0%, rgba(220, 13, 138, 1) 100%);

    &::after {
      content: "";

      display: inline-block;
      width: 100%;
      height: 100%;
      background: linear-gradient(90deg, rgba(58, 2, 49, 0.25) 0%, rgba(220, 13, 138, 0.25) 100%);

      position: absolute;
      left: 0;
      top: 0;
    }
  }

  .banner-heading {
    margin-top: 5rem;
  }

  .banner-heading-content {
    margin-top: auto;
    margin-bottom: 10rem;
    margin-left: 6rem;
  }

  .banner-heading-header {
    color: @white;
    text-align: left;
  }

  .banner-heading-img {
    width: 100%;
    height: auto;
    max-height: max-content;
  }
}

#speakers .icon-backdrop,
#speakers .img {
  border: 1px solid #e57707;
  border-radius: 50%;
}

// Resources

.resources {
  border-bottom: 1px solid #dbdbdb;
  margin-bottom: 60px;

  .resources-summary {
    overflow: hidden;
    margin-bottom: 30px;

    .resources-summary-img {
      display: block;
      height: 120px;
      overflow: hidden;

      img {
        max-width: 100%;
        min-height: 120px;
      }

      .resources-summary-icon {
        background-color: #f1f1f1;
        padding: 30px;
        display: block;
        text-align: center;

        .feather {
          color: @brand-secondary;
          width: 55px;
          height: 55px;
        }
      }
    }

    .resources-summary-heading {
      a {
        color: @brand-secondary;
        font-size: 18px;
        font-weight: 400;
      }
    }

    .resources-summary-date {
      color: darken(@brand-primary, 25%);
      font-size: 12px;
      margin-bottom: 0;
    }

    .resources-summary-text {
      color: #606060;
      font-size: 12px;
    }
  }

  .resources-more {
    font-size: 12px;
  }
}

.vertical-separator {
  width: 1px;
  height: 100%;
  margin: auto;
  background-color: darken(@body-bg, 10%);
}

.vertical-separator.vertical-separator-secondary {
  background-color: @brand-secondary;
}

// Hotfix for members list
.eclipsefdn-sdv-members-list {
  .eclipsefdn-members-list;
}

// Use aspect ratio on newsroom resources 
.newsroom-resources .tpl-cover {
  .newsroom-resource-item {
    width: 30%;
    aspect-ratio: 1;
  }

  .newsroom-resource-item-image {
    height: unset;
  }
}

// SIG pages
.sig-leads {

  .icon-backdrop, 
  .img {
    border: 1px solid @brand-primary;
    border-radius: 50%;
  }
  
  .text-center();
}

.sig-logo-wrapper {
  height: 100%;
  .flex-center();
}

.sig-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  gap: 1rem;

  .sig-card {
    width: 100%;
  }

  @media (min-width: @screen-sm-min) {
    // The list will fit 3 per row, accounting for the gap.
    .sig-card { 
      max-width: calc(33% - 1rem);
    }
  }
}

.hover-grow-sm {
  transition: transform .2s ease-out;

  &:hover {
    transform: scale(1.02);
  }
}

.sig-card {
  padding: 2rem;
  border-radius: 1rem;
  color: white;
  background-color: lighten(@brand-primary, 5%);
  box-shadow: 0 0 8px #00000044;
}

// Prevent link styles from affecting sig-card.
a.sig-card {
  .link-unstyled;
}
